- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# restconf – HttpApi Plugin for devices supporting Restconf API

New in version 2.8.

- Synopsis
- Parameters
- Status

## Synopsis

- This HttpApi plugin provides methods to connect to Restconf API endpoints.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
root_path string | Default: "/restconf" | var: ansible_httpapi_restconf_root | Specifies the location of the Restconf root.

## Status

- This httpapi is not guaranteed to have a backwards compatible interface. [preview]
- This httpapi is maintained by the Ansible Community. [community]

### Authors

- Ansible Networking Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.